> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List AI Capabilities

> List the configured AI capabilities (web search, web scraping, image generation, embeddings). Secrets are never returned.



## OpenAPI

````yaml GET /v1/ai-tools
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/ai-tools:
    get:
      tags:
        - ai-capabilities
      description: >-
        List the configured AI capabilities (web search, web scraping, image
        generation, embeddings). Secrets are never returned.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    capability:
                      type: string
                      enum:
                        - WEB_SEARCH
                        - WEB_SCRAPING
                        - IMAGE_GENERATION
                        - EMBEDDINGS
                    provider:
                      type: string
                      enum:
                        - tavily
                        - firecrawl
                        - apify
                        - fal
                        - ai_provider
                    config:
                      anyOf:
                        - type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                        - type: 'null'
                    enabled:
                      type: boolean
                    hasApiKey:
                      type: boolean
                  required:
                    - id
                    - capability
                    - provider
                    - config
                    - enabled
                    - hasApiKey
                  additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.